#
# spec file for package susehelp (Version 2001.09.06)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel gettext mm
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         susehelp
Copyright:    2000  SuSE GmbH  Nuernberg, Germany.
Group:        Documentation
Provides:     manhtml susehilf dochost
Obsoletes:    susehilf dochost
Requires:     susehelp_lang suse_help_viewer htdig recode  
Autoreqprov:  on
Version:      2001.09.06
Release:      110
Summary:      SuSE Help-System (base)
Source:   susehilf-skel.tar.bz2
Source2:  HTML-Links.english
Source3:  HTML-Links.german
Source4:  HTML-Links.french
Source5:  HTML-Links.spanish
Source6:  Labels.english
Source7:  Labels.german
Source8:  Labels.french
Source9:  Labels.spanish
Patch0:   susehelp_hu.dif
Patch1:   susehelp-2001-09.06-27.diff
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root
%package -n susehelp_en
Requires: susehelp
Summary:      SuSE Help-System (base)
Group:    Documentation
Provides: susehelp_lang
Autoreqprov: off
%package -n susehelp_de
Requires: susehelp
Summary:      SuSE Help-System (base)
Group:    Documentation
Provides: susehelp_lang
Autoreqprov: on
%package -n susehelp_fr
Requires: susehelp
Summary:      SuSE Help-System (base)
Group:    Documentation
Provides: susehelp_lang
Autoreqprov: on
%package -n susehelp_es
Requires: susehelp
Summary:      SuSE Help-System (base)
Group:    Documentation
Provides: susehelp_lang
Autoreqprov: on
%package -n susehelp_it
Requires: susehelp
Summary:      SuSE Help-System (base)
Group:    Documentation
Provides: susehelp_lang
Autoreqprov: on
%package -n susehelp_cz
Requires: susehelp 
Summary:      SuSE Help-System (base)
Group:    Documentation
Provides: susehelp_lang susehelp_cs
Obsoletes:  susehelp_cs 
Autoreqprov: on
%package -n susehelp_hu
Requires: susehelp
Summary:      SuSE Help-System (base)
Group:    Documentation
Provides: susehelp_lang
Autoreqprov: on

%description -n susehelp
This package contains the basics of the SuSE Help System.
The SuSE Help System centralizes all Linux documentation in a clear,
structured manner with convenient search capabilities.
For quick start, click on the lifesaver in the KPanel. For configuration, use
the KDE2 Control Center.
For more information, have a look at /usr/share/doc/packages/susehelp/README.

Authors:
--------
    <suse@suse.de>

SuSE series: doc


%description -n susehelp_en
This package contains the basics of the SuSE Help System.
The SuSE Help System centralizes all Linux documentation in a clear
structured manner with convenient search capabilities.
For quick start, click on the lifesaver on the KPanel. For configuration, use
the KDE2 Control Center.
For more information have a look at /usr/share/doc/packages/susehelp_en/README.

Authors:
--------
    <suse@suse.de>

SuSE series: doc


%description -n susehelp_de
This package contains the basics of the SuSE Help System.
The SuSE Help System centralizes all Linux documentation in a clear
structured manner with convenient search capabilities.
For quick start, click on the lifesaver on the KPanel. For configuration, use
the KDE2 Control Center.
For more information have a look at /usr/share/doc/packages/susehelp_de/README.

Authors:
--------
    <suse@suse.de>

SuSE series: doc


%description -n susehelp_fr
This package contains the basics of the SuSE Help System.
The SuSE Help System centralizes all Linux documentation in a clear
structured manner with convenient search capabilities.
For quick start, click on the lifesaver on the KPanel. For configuration, use
the KDE2 Control Center.
For more information, have a look at /usr/share/doc/packages/susehelp_fr/README.

Authors:
--------
    <suse@suse.de>

SuSE series: doc


%description -n susehelp_es
This package contains the basics of the SuSE Help System.
The SuSE Help System centralizes all Linux documentation in a clear
structured manner with convenient search capabilities.
For quick start, click on the lifesaver on the KPanel.  For configuration, use
the KDE2 Control Center.
For more information have a look at /usr/share/doc/packages/susehelp_es/README.

Authors:
--------
    <suse@suse.de>

SuSE series: doc


%description -n susehelp_it
This package contains the basics of the SuSE Help System.
The SuSE Help System centralizes all Linux documentation in a clear
structured manner with convenient search capabilities.
For quick start, click on the lifesaver on the KPanel. For configuration, use
the KDE2 Control Center.
For more information, look at /usr/share/doc/packages/susehelp_it/README.

Authors:
--------
    <suse@suse.de>

SuSE series: doc


%description -n susehelp_cz
This package contains the basics of the SuSE Help System.
The SuSE Help System centralizes all Linux documentation in a clear
structured manner with convenient search capabilities.
For quick start, click on the lifesaver on the KPanel. For configuration, use
the KDE2 Control Center.
For more information, have a look at /usr/share/doc/packages/susehelp/README.

Authors:
--------
    <suse@suse.de>

SuSE series: doc


%description -n susehelp_hu
This package contains the basics of the SuSE Help System.
The SuSE Help System centralizes all Linux documentation in a clear
structured manner with convenient search capabilities.
For quick start, click on the lifesaver on the KPanel. For configuration, use
the KDE2 Control Center.
For more information, look at /usr/share/doc/packages/susehelp_hu/README.

Authors:
--------
    <suse@suse.de>

SuSE series: doc

%define docdir		/usr/share/doc
%define susedir		%{docdir}/susehilf
%define apacheconf      %(apxs -q SYSCONFDIR)
%define apacheserver  	%(apxs -q PREFIX)
%define cgibin          %{apacheserver}/cgi-bin
%prep
%setup -n susehilf
%patch
cd skel/bin/
%patch1 -p0

%build
#
# make whatis files
#
TOPDIR=`pwd`
LANGUAGES="german english french spanish"
cd $TOPDIR
rm -rf raw_pacs
for LANGUAGE in $LANGUAGES ; do
    case $LANGUAGE in
    german)  LL=de ;;
    english) LL=en ;;
    french)  LL=fr ;;
    spanish) LL=es ;;
    esac
    mkdir -p raw_pacs/$LL
    while read PAC LINK ; do
        LABEL="`grep ^$PAC $RPM_SOURCE_DIR/Labels.$LANGUAGE`"
        LABEL="${LABEL#$PAC}"
        PAC=${PAC%:}
        case "$LINK" in
            /usr/doc/*)
                LINK="../../../../doc/"${LINK#/usr/doc/} ;;
            /usr/share/doc/*)
                LINK="../../"${LINK#/usr/share/doc/} ;;
            ../packages/*)
                LINK="../../packages/"${LINK#../packages/} ;;
            ../sdb/*|/opt/kde2/share/doc/*)
                continue ;;              #dont access through doc.html
            /opt/kde/share/doc/*|/opt/gnome/share/gnome/help/*|\.\./packages/*) ;;
            *)
                LINK="file:"$LINK ;;
        esac 
        echo "<LI><A HREF=\"$LINK\">$PAC:</A> $LABEL" > raw_pacs/$LL/$PAC
    done < $RPM_SOURCE_DIR/HTML-Links.$LANGUAGE
done
# create translation-files for susehelpcenter
cd $TOPDIR
for i in de es ; do
  msgfmt -o skel/susehilf/$i/susehelp.mo  skel/susehilf/$i/susehelp.po
done

%install
rm -fr $RPM_BUILD_ROOT
test -e $RPM_BUILD_ROOT%{susedir} && old $RPM_BUILD_ROOT%{susedir}
install -d $RPM_BUILD_ROOT/var/lib/susehelp
for i in de en fr es cz; do
  install -d $RPM_BUILD_ROOT/var/lib/susehelp/man_$i
  install -d $RPM_BUILD_ROOT/var/lib/susehelp/pac_$i/KDE
  install -d $RPM_BUILD_ROOT/var/lib/susehelp/pac_$i/HTTP
done
install -d $RPM_BUILD_ROOT%{susedir}
cp -a skel/susehilf $RPM_BUILD_ROOT%{docdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}/packages/susehelp
install -m644 skel/susehilf/lib/README \
           $RPM_BUILD_ROOT/usr/share/doc/packages/susehelp
install -m644 skel/susehilf/lib/HEADER.html \
           $RPM_BUILD_ROOT/usr/share/doc/packages
ln -s ../../../../var/lib/susehelp $RPM_BUILD_ROOT%{susedir}/var
mkdir -p $RPM_BUILD_ROOT%{susedir}/raw_pacs
cp -a raw_pacs/*   $RPM_BUILD_ROOT%{susedir}/raw_pacs
#bin
install -d -m755 $RPM_BUILD_ROOT/usr/lib/susehilf \
                 $RPM_BUILD_ROOT%{cgibin}
cp -r skel/bin/cgi-bin/* $RPM_BUILD_ROOT%{cgibin}
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 skel/bin/hilfe \
              skel/bin/susehelp \
              skel/bin/suseaide \
              skel/bin/suseayuda \
              skel/bin/suseaiuto \
              skel/bin/segtsg \
              $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT/usr/sbin
install -m755 skel/bin/susedig.sh $RPM_BUILD_ROOT/usr/sbin
#SuSEconfig, rc.config
install -d $RPM_BUILD_ROOT/sbin/conf.d
install -m755 skel/bin/SuSEconfig.susehilf \
              $RPM_BUILD_ROOT/sbin/conf.d/SuSEconfig.susehilf
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 etc/rc.config.dochost $RPM_BUILD_ROOT/var/adm/fillup-templates
#apache
test -d $RPM_BUILD_ROOT%{apacheconf}/modules/ || \
        mkdir -p $RPM_BUILD_ROOT%{apacheconf}/modules 
echo -e "Variable:DOC_SERVER\nText:%{name}\n Include:%{apacheconf}/%{name}.conf\n" \
        > $RPM_BUILD_ROOT%{apacheconf}/modules/%{name}
install -m 644 etc/httpd/%{name}.conf $RPM_BUILD_ROOT%{apacheconf}/
#susehelp config
install -d $RPM_BUILD_ROOT%{_sysconfdir}/susehelp.d
install -d $RPM_BUILD_ROOT%{_sysconfdir}/susehelp.d/htdig
cp -aR etc/susehelp.d/* $RPM_BUILD_ROOT%{_sysconfdir}/susehelp.d
#htdig config
mkdir -p $RPM_BUILD_ROOT/opt/www/htdocs/htdig/{de,en,es,fr,it,hu,cz,susehelp}
cp -aR htdocs/* $RPM_BUILD_ROOT/opt/www/htdocs/htdig
#adm
mkdir -p $RPM_BUILD_ROOT/var/adm/SuSEconfig/susehilf
touch $RPM_BUILD_ROOT/var/adm/SuSEconfig/susehilf/{dochost,packs}

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.dochost
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.dochost and"
  echo "update by hand."
fi 

%clean
#rm -fr $RPM_BUILD_ROOT

%files -n susehelp
%defattr(-,root,root)
%config %{apacheconf}/susehelp.conf
%config %{apacheconf}/modules/susehelp
%{_sysconfdir}/susehelp.d/topics
%config %{_sysconfdir}/susehelp.d/*.conf
%dir  %{_sysconfdir}/susehelp.d/htdig
/sbin/conf.d/SuSEconfig.susehilf
%dir /var/adm/fillup-templates
/var/adm/fillup-templates/rc.config.dochost
/usr/sbin/susedig.sh
%{cgibin}/stdsearch.sh
%{cgibin}/pacsearch.pl
%{cgibin}/pacshow.pl
%{cgibin}/extractconf.sh
%{cgibin}/extracttitle.sh
%{cgibin}/genadvanced.pl
%{cgibin}/gencontent.pl
%{cgibin}/genindex.pl
%{cgibin}/genhtml.pl
%{cgibin}/genFrames.pm
%{cgibin}/generatepaclist.pl
%{cgibin}/genmanindex.sh
/usr/lib/susehilf
/opt/www/htdocs/htdig/en
/opt/www/htdocs/htdig/susehelp
%{docdir}/packages/HEADER.html
%{docdir}/packages/susehelp/README
%{susedir}/img
%{susedir}/lib
%{susedir}/var
%{susedir}/advanced.html
%{susedir}/contenttree.html
%{susedir}/genindex.html
%{susedir}/head.html
%{susedir}/results.html
%{susedir}/search.html
%{susedir}/en
/var/adm/SuSEconfig/susehilf

%files -n susehelp_de
%defattr(-,root,root)
%config %{_sysconfdir}/susehelp.d/*_de.conf
%{_bindir}/hilfe
/opt/www/htdocs/htdig/de
%{susedir}/de
%{susedir}/index.html.de
%{susedir}/raw_pacs/de
/var/lib/susehelp/pac_de
/var/lib/susehelp/man_de

%files -n susehelp_en
%defattr(-,root,root)
%config %{_sysconfdir}/susehelp.d/*_en.conf
%{_bindir}/susehelp
%{susedir}/index.html.en
%{susedir}/raw_pacs/en
/var/lib/susehelp/pac_en
/var/lib/susehelp/man_en

%files -n susehelp_fr
%defattr(-,root,root)
%config %{_sysconfdir}/susehelp.d/*_fr.conf
%{_bindir}/suseaide
/opt/www/htdocs/htdig/fr
%{susedir}/fr
%{susedir}/index.html.fr
%{susedir}/raw_pacs/fr
/var/lib/susehelp/pac_fr
/var/lib/susehelp/man_fr

%files -n susehelp_es
%defattr(-,root,root)
%config %{_sysconfdir}/susehelp.d/*_es.conf
%{_bindir}/suseayuda
/opt/www/htdocs/htdig/es
%{susedir}/es
%{susedir}/index.html.es
%{susedir}/raw_pacs/es
/var/lib/susehelp/pac_es
/var/lib/susehelp/man_es

%files -n susehelp_it
%defattr(-,root,root)
%{_bindir}/suseaiuto
#%config %{_sysconfdir}/susehelp.d/*_it.conf
/opt/www/htdocs/htdig/it
%{susedir}/it
%{susedir}/index.html.it

%files -n susehelp_hu
%defattr(-,root,root)
%{_bindir}/segtsg
#%config %{_sysconfdir}/susehelp.d/*_hu.conf
/opt/www/htdocs/htdig/hu
%{susedir}/hu
%{susedir}/index.html.hu

%files -n susehelp_cz
%defattr(-,root,root)
%config %{_sysconfdir}/susehelp.d/*_cz.conf
%{susedir}/cz
%{susedir}/index.html.cz
/var/lib/susehelp/pac_cz

%changelog -n susehelp
* Fri Nov 02 2001 - kukuk@suse.de
- Add Apache module config file to file list
* Wed Oct 31 2001 - adrian@suse.de
- apply security fix from Sebastian Krahmer
* Fri Oct 05 2001 - adrian@suse.de
- apply last minute changes in hungarian translation
* Sat Sep 22 2001 - adrian@suse.de
- fix for change KDE documentation system
  (KDE 2.2 is using docbook native instead of html )
- set DOC_SERVER to "no" by default
  (most users are using susehelpcenter)
- force to create htdig conf files, due to missing check of
  changed enviroment
- fix some places where broken html code is generated
- fix conf files
* Sun Sep 16 2001 - adrian@suse.de
- some fixes in conf files
- several shell scripts (syntax and function)
* Thu Sep 06 2001 - utuerk@suse.de
- fixed manpage-index for dochost [8462]. We don't use allman's any
  longer, the index-files are created on the fly based on
  /var/cache/man/whatis which is daily updated by cron.
- changed layout-colors to fit new SuSE-theme
* Thu Aug 23 2001 - utuerk@suse.de
- new variable DOC_AUTOINDEX in etc/rc.config
- fixed typo in SuSEconfig.susehilf, susedig.sh [#9563]
- include rman in hosts.allow only if docserver is
  configured and rman is installed [#9565]
- susehelp-package provides now all /etc/susehelp.d/*.conf's
* Tue Jul 17 2001 - utuerk@suse.de
- handle items Package/Installed of susehelp.d/conf's
- made HTML-links relative [#7385]=[#6650]
- provide /etc/httpd/modules/susehelp for proper include to apache
  [#9212], [#7387]
- fixed SuSEconfig.susehilf [#9127]: sed with # instead of /
- renamed package susehelp_cs -> susehelp_cz
- add susehilf/cz/
- create /var/lib/susehelp for hu too
- changed layout for package descriptions
* Mon May 14 2001 - poeml@suse.de
- add empty adm files to remove old ones in case of an update
- don't modify suse_include.conf, let SuSEconfig.apache do it
  [#7387]
- add Multiviews option to <Directory /usr/share/doc> in
  susehelp.conf and rename index_??.html to index.html.?? -- to let
  apache choose the right language [#8159]
* Thu May 10 2001 - utuerk@suse.de
- fixed htdig configuration for pdf-files
- fixed start-Link for info-Pages
- fixed 'could not open en/pac.po' (engl .po files now generally
  in susehelp.rpm
- fixed apache configuration to start from the box - bug [7387]
* Mon May 07 2001 - utuerk@suse.de
- bug [7616] corrected path to generatepaclist.pl
- generate index files for gnome-docu in susedig.sh
* Mon Apr 30 2001 - utuerk@suse.de
- changed layout
* Fri Apr 27 2001 - poeml@suse.de
- apache manual has moved to /usr/local/httpd/htdocs/manual, so the
  alias in susehelp.conf has changed, too
* Thu Apr 26 2001 - utuerk@suse.de
- bug [7042] moved apache ServerRoot back to its old location (now
  by using apxs to determine it) in the spec file and in
  skel/bin/cgi-bin/stdsearch.sh and skel/bin/susedig.sh
- added .po-files for es, fr, it, hu
* Wed Apr 25 2001 - adrian@suse.de
- drop welcome.html pages, we have SuSEwizard now
* Thu Mar 29 2001 - utuerk@suse.de
- package split into languages
- moved location of cgi-bin to /var/www/cgi-bin (was /usr/local/httpd)
- fixed generatepaclist.pl
* Thu Mar 01 2001 - utuerk@suse.de
- names of /etc/susehelp.d/*.conf's now without _language !
- utf-8 incoding
- translations now in .po-files (was dolang-??.sh)
- languages symbolised with flags
- fixed startpages for dochost [bug 6552]
* Mon Feb 05 2001 - utuerk@suse.de
- more hungarian fixes
* Thu Feb 01 2001 - utuerk@suse.de
- fixed some hungarian translations
* Wed Jan 31 2001 - utuerk@suse.de
- added hungarian translations
* Wed Jan 24 2001 - mhafner@suse.de
- fix generatepaclist.pl to show correct language
- FIXME: changed topics file but should rather fix SHC
* Mon Jan 22 2001 - utuerk@suse.de
- fix SuSEconfig.susehilf
- fix stdsearch.sh (matchesperpage)
* Mon Jan 22 2001 - utuerk@suse.de
- welcome.html from wimer
- included README
* Sat Jan 20 2001 - adrian@suse.de
- fix susedig call. runs less often now.
* Thu Jan 18 2001 - utuerk@suse.de
- create kdeappl-index in susedig.sh
- use short.html instead of desc.html as htdig-output for susetour
* Wed Jan 17 2001 - utuerk@suse.de
- fixed translation bugs
- fixed htdig configuration for susetour
- fixed placement of HEADER.html
* Tue Jan 16 2001 - utuerk@suse.de
- fixed susedig.sh (htdig.confs working with dochost options)
* Tue Jan 16 2001 - utuerk@suse.de
- fixed stdsearch.sh (to call pac:/(lang)...)
- changed doc_??.conf to ddir_en.conf
* Tue Jan 16 2001 - utuerk@suse.de
- fixed susedig.sh
- translations for search.html, advanced.html, contenttree.html
- fixed generatepaclist.pl [ BUG 5464 ]
* Sun Jan 14 2001 - adrian@suse.de
- fix bogus output from extraconf.sh while simple search
* Fri Jan 12 2001 - mhafner@suse.de
- fixed some gen* scripts, the pac scripts and added translations
* Thu Jan 11 2001 - utuerk@suse.de
- man.conf, pac.conf only in english + DEFAULT_LANGUAGE
- fixed genindex.pl for other languages
- fixed extractconf.sh
* Wed Jan 10 2001 - utuerk@suse.de
- fixed susehelp.spec
* Wed Jan 10 2001 - utuerk@suse.de
- startpage generated
- susedig.sh fixes
- obsoletes dochost
* Tue Jan 09 2001 - adrian@suse.de
- only one package again
  htdig runs in background now
* Fri Jan 05 2001 - utuerk@suse.de
- splitted in language_packages
- fixed susedig.sh
- fixed SuSEconfig.susehelp
* Tue Jan 02 2001 - utuerk@suse.de
- fixed SuSEconfig.susehelp
- fixed contenttree.html
- fixed stdsearch.sh
* Thu Dec 21 2000 - utuerk@suse.de
- generate advanced.html and contenttree.html from conf's
- fixed pak.html
- create starting htdig-dbs when first runing SuSEconfig
* Tue Dec 19 2000 - utuerk@suse.de
- added translations it, fr
- hilfe, susehelp, ..: start susehelpcenter
* Mon Dec 18 2000 - utuerk@suse.de
- package descriptions converted on the fly
* Wed Dec 13 2000 - utuerk@suse.de
- changed some HTML pages (wimer)
- implemented infoPages and manPages search in stdsearch.sh
- moved htdig config-files to /etc/susehelp.d/htdig
* Thu Nov 30 2000 - utuerk@suse.de
- changed required-tag
- changed packagename
* Thu Nov 23 2000 - utuerk@suse.de
- implemented search
* Thu Jul 27 2000 - uli@suse.de
- reenabled kfm (the problem has been worked around by changing
  some HTML pages)
* Fri Jul 21 2000 - uli@suse.de
- added improved content.html's
- disabled kfm, it crashes too often
* Wed Jul 19 2000 - uli@suse.de
- added content.html pages with link to susetour
* Mon Jul 17 2000 - uli@suse.de
- added new susehelp.conf
* Mon Jul 17 2000 - uli@suse.de
- fixed typos in Spanish HTML pages
* Mon Jul 17 2000 - uli@suse.de
- scripts now use kfm as X browser if run from KDE
* Sat Jul 15 2000 - uli@suse.de
- added new HTML pages by wimer
- added HEADER.html in %%{_docdir}
* Fri Jul 14 2000 - uli@suse.de
- fixed some "/usr/doc" stuff in HTML pages
* Tue Jul 11 2000 - uli@suse.de
- removed welcome dir (now in susetour package)
- added check for local http server before falling back to file://
* Wed Jun 28 2000 - uli@suse.de
- fixed syntax error in whatis2i.html.perl
* Mon Jun 26 2000 - ro@suse.de
- integrated dif, adapted colors
* Mon Jun 26 2000 - kasal@suse.de
- created susehilf.dif (patches a typo)
* Mon Jun 19 2000 - ro@suse.de
- specfile fix
* Mon Jun 19 2000 - ro@suse.de
- added susehelp.conf
* Fri Jun 16 2000 - uli@suse.de
- added Spanish version (preliminary, title PNGs missing)
* Wed Jun 07 2000 - ro@suse.de
- moved to /usr/share/doc/susehilf
* Wed May 10 2000 - ro@suse.de
- specfile fix
* Wed Apr 19 2000 - ro@suse.de
- made package noarch
* Tue Mar 14 2000 - freitag@suse.de
- opening LANGUAGE dependant - using rc.config in every wrapper
  script susehelp, hilfe and suseaide. Default is english.
* Wed Mar 08 2000 - freitag@suse.de
- fixing links to howto-index, remove dep. on htmlhowto_de
* Tue Mar 07 2000 - freitag@suse.de
- fixed some links...
* Wed Feb 16 2000 - uli@suse.de
- replaced index*.html with new version by chofman
- added a few dependencies
* Sat Feb 12 2000 - ro@suse.de
- another specfile fix
* Sat Feb 12 2000 - ro@suse.de
- next try
* Sat Feb 12 2000 - ro@suse.de
- fixed specfile: path generation
* Thu Feb 10 2000 - ro@suse.de
- updated french text
* Thu Feb 10 2000 - ro@suse.de
- fixed to work with apache configuration
  (packages with docu in non-standard places are displayed just locally)
* Tue Feb 01 2000 - uli@suse.de
- flipped the toad
* Mon Oct 04 1999 - uli@suse.de
- removed references to gnuhtml
* Mon Sep 20 1999 - ro@suse.de
- added requires web_browser
* Fri Aug 20 1999 - uli@suse.de
- added hint concerning viewing of man pages
* Mon Jun 07 1999 - uli@suse.de
- removed references to sdb_cgi
* Thu Apr 08 1999 - uli@suse.de
- ...and another one causing the French index page to link to the
  German descriptions
* Thu Apr 08 1999 - uli@suse.de
- fixed typo causing German HTML docs index page to be overwritten by
  the French one
* Mon Mar 22 1999 - uli@suse.de
- fixed SDB links (again :)
* Fri Mar 19 1999 - uli@suse.de
- merged in French translation
* Mon Mar 15 1999 - uli@suse.de
- updated to comply with new SDB structure
* Thu Dec 17 1998 - uli@suse.de
- fixed a lot of bad English grammar, punctuation, style etc.
- removed all dots in HTML pages and pixmaps
- general housekeeping
* Mon Dec 14 1998 - uli@suse.de
- SuSEconfig.susehilf: fixed a typo, removed dots
* Mon Dec 14 1998 - bs@suse.de
- removed Version fron SuSEconfig.susehilf
* Sat Dec 12 1998 - bs@suse.de
- removed "nothing to do" message.
* Mon Dec 07 1998 - uli@suse.de
- fixed index*.html wrt language-dependent sdb packages
* Fri Nov 27 1998 - uli@suse.de
- adapted HOWTO links to new directory structure
* Wed Nov 25 1998 - uli@suse.de
- replaced references to arena with netscape
* Wed Jul 29 1998 - bs@suse.de
- ready for autobuild
- incorporated packages from live cd.
